<template>
    <div>
        <v-container>
            <v-row class="mb-6">
                <v-col md="6" offset-md="3">

                    <v-form class="justify-center">
                        <v-container>
                            <v-text-field v-model="name" label="Rechercher un client" required></v-text-field>
                            <v-btn @click="displayDetail(null)" color="green" dark>Crée un client</v-btn>
                        </v-container>
                    </v-form>
                </v-col>
                <v-col md="6" offset-md="3">
                    <v-hover v-for="client in clients" :key="client.id"
                             class="align-content-md-space-between justify-md-space-between hover-client">
                        <v-card class=".col-md-6 .offset-md-3 card-client"
                                v-on:click="displayDetail(client)">
                            <v-card-text>
                                <p class="font-weight-bold">{{client.title}} {{client.name}}</p>
                                <p><b>Adresse du client :</b> {{client.address}} {{client.postalCode}} {{
                                    client.city}}<br/></p>
                                <p><b>Téléphone :</b> {{client.phone}}<br/></p>
                                <p><b>Téléphone2 :</b> {{client.phone2}}<br/></p>
                                <p><b>Email :</b> {{client.email}}</p>
                            </v-card-text>
                        </v-card>
                    </v-hover>
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>

<script>
    import axios from 'axios'

    export default {
        name: "ClientSearch",
        data: () => ({
            name: null,
            clients: []
        }),
        methods: {
            displayDetail(client) {
                if(client) {
                    this.$store.commit('selectClient', client.id);
                    this.$router.push({name: 'DetailClient'});
                } else {
                    this.$store.commit('selectClient', null);
                    this.$router.push({name: 'DetailClient'});
                }
            }
        },
        watch: {
            name: function () {
                axios.post('searchClients', null, {
                    params: {name: this.name},
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
                    }
                }).then((response) => this.clients = response.data)
            }
        },
    }
</script>

<style scoped>

    .card-client {
        cursor: pointer;
    }

    .hover-client {
        margin-bottom: 16px;
    }
</style>